This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 431283 - traceback when running ipa-findgroup
traceback when running ipa-findgroup
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: freeipa10 429034
  Show dependency treegraph
 
Reported: 2008-02-01 20:05 EST by Michael Gregg
Modified: 2015-01-04 18:30 EST (History)
1 user (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ipa-findgroup had a usage function but hadn't registered --usage as a valid cmdline option (869 bytes, patch)
2008-02-01 22:24 EST, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Michael Gregg 2008-02-01 20:05:28 EST
Description of problem:

+ /usr/sbin/ipa-findgroup test-group
Traceback (most recent call last):
  File "/usr/sbin/ipa-findgroup", line 137, in <module>
    sys.exit(main())
  File "/usr/sbin/ipa-findgroup", line 54, in main
    if options.usage or len(args) != 2:
AttributeError: Values instance has no attribute 'usage'

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. Install and setup a ipa-server
2. kinit as admin
3. create a group named test-group
4. run ipa-findgroup test-group
  
Actual results:
AttributeError: Values instance has no attribute 'usage'

This bug was referenced in:
http://apoc.dsdev.sjc.redhat.com/tet/results/2008-02-01_16_36/IPA-server-log.txt
Comment 1 Rob Crittenden 2008-02-01 22:24:04 EST
Created attachment 293782 [details]
ipa-findgroup had a usage function but hadn't registered --usage as a valid cmdline option
Comment 2 Rob Crittenden 2008-02-01 22:24:41 EST
Committed in changeset 619
Comment 3 Yi Zhang 2008-05-28 17:54:32 EDT
QA Verified on May 28, 2008 (Yi)

Build used: May 28, 2008 (i386)


ipaserver[05/28/08 14:48] ipa-findgroup 
ipa-findgroup [-a|--all] [-n|--notranslate] [-v|--verbose] group
ipaserver[05/28/08 14:50] ipa-findgroup grp001
dn: cn=grp001,cn=groups,cn=accounts,dc=ipaqa,dc=com
GID: 1100
Full Name: grp001
Description: this is 'a quote', but it should be ok


Note You need to log in before you can comment on or make changes to this bug.